Bug 1373410 - perl-Gtk3-WebKit FTBFS: webkitgtk3 dependency removed from distribution
Summary: perl-Gtk3-WebKit FTBFS: webkitgtk3 dependency removed from distribution
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Gtk3-WebKit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1303944
TreeView+ depends on / blocked
 
Reported: 2016-09-06 08:15 UTC by Christian Stadelmann
Modified: 2017-07-25 07:26 UTC (History)
3 users (show)

Fixed In Version: perl-Gtk3-WebKit-0.06-9.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 07:26:44 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 122598 None None None 2017-07-25 07:08:12 UTC

Description Christian Stadelmann 2016-09-06 08:15:31 UTC
Description of problem:
Currently, perl-Gtk3-WebKit is based on webkitgtk3, which is WebKit1 on Gtk3. There are plans to remove WebKit1 from Fedora 27+ [1].

Version-Release number of selected component (if applicable):
all current versions

How reproducible:
always

Actual results:
perl-Gtk3-WebKit is compiled against webkitgtk3(-devel)

Expected results:
perl-Gtk3-WebKit should be compiled against webkitgtk4(-devel)

Additional info:
In case the API differs too much you might want to add another package, e.g. named perl-Gtk3-WebKit2, which is compiled against webkitgtk4(-devel) and deprecate the old one.

[1] See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/AKVB363GFCHHJ5MTHGVYHYT6NLLTF5VM/ and a mass bug filing announcement on https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/PHOEOYFDFENPKOWCOHUZZY7HLOGMWFMH/

Comment 1 Christian Stadelmann 2016-09-06 08:18:35 UTC
And btw, shouldn't the perl-Gtk3-WebKit package have a Requires: field for webkitgtk3 in its spec file?

Comment 2 Fedora End Of Life 2017-02-28 10:12:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Petr Pisar 2017-03-27 12:44:53 UTC
webkitgtk3 was retired in Fedora 27. It has a maintainer again, but I do not believe there will be any new build. This prevents perl-Gtk3-WebKit from building.

Comment 4 Petr Pisar 2017-07-25 07:08:13 UTC
Almost a year and no progress. I tried building against gtkwebkit4 and it works. The example from the documentation also works. Of course there are changes in the typelib interface but there is nothing we can do with it.


Note You need to log in before you can comment on or make changes to this bug.